YepAPI
Email API

Technology Lookup

Discover the technology stack behind any website — frameworks, analytics, hosting, and more.

POST/v1/email/technology
$0.02/call

Usage

const res = await fetch('https://api.yepapi.com/v1/email/technology', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({ domain: 'stripe.com' }),
});
const { data } = await res.json();
console.log(data);
curl -X POST https://api.yepapi.com/v1/email/technology \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"domain": "stripe.com"}'

Request Body

ParameterTypeRequiredDescriptionDefault
domainstringYesDomain to detect technologies for (e.g., stripe.com)

Response

{
  "data": {
    "domain": "stripe.com",
    "technologies": [
      {
        "category": null,
        "name": "Contentful",
        "slug": "contentful",
        "website": "contentful.com"
      },
      {
        "category": null,
        "name": "Java",
        "slug": "java",
        "website": "java.com"
      },
      {
        "category": null,
        "name": "dc.js",
        "slug": "dc-js",
        "website": "dc-js.github.io"
      },
      {
        "category": null,
        "name": "hCaptcha",
        "slug": "hcaptcha",
        "website": "hcaptcha.com"
      },
      {
        "category": null,
        "name": "Google Analytics",
        "slug": "google-analytics",
        "website": "google.com"
      },
      {
        "category": null,
        "name": "Klarna Checkout",
        "slug": "klarna-checkout",
        "website": "klarna.com"
      },
      {
        "category": null,
        "name": "Stripe",
        "slug": "stripe",
        "website": "stripe.com"
      },
      {
        "category": null,
        "name": "Nginx",
        "slug": "nginx",
        "website": "nginx.org"
      },
      {
        "category": null,
        "name": "Bootstrap",
        "slug": "bootstrap",
        "website": "getbootstrap.com"
      },
      {
        "category": null,
        "name": "Stimulus",
        "slug": "stimulus",
        "website": "stimulusjs.org"
      },
      {
        "category": null,
        "name": "C3.js",
        "slug": "c3-js",
        "website": "c3js.org"
      },
      {
        "category": null,
        "name": "jQuery",
        "slug": "jquery",
        "website": "jquery.com"
      },
      {
        "category": null,
        "name": "Amazon Web Services",
        "slug": "amazon-web-services",
        "website": "aws.amazon.com"
      },
      {
        "category": null,
        "name": "SAP Commerce Cloud",
        "slug": "sap-commerce-cloud",
        "website": "sap.com"
      },
      {
        "category": null,
        "name": "HSTS",
        "slug": "hsts",
        "website": "rfc-editor.org"
      },
      {
        "category": null,
        "name": "Linkedin Ads",
        "slug": "linkedin-ads",
        "website": "business.linkedin.com"
      },
      {
        "category": null,
        "name": "React",
        "slug": "react",
        "website": "reactjs.org"
      },
      {
        "category": null,
        "name": "AMP",
        "slug": "amp",
        "website": "amp.dev"
      },
      {
        "category": null,
        "name": "Algolia",
        "slug": "algolia",
        "website": "algolia.com"
      },
      {
        "category": null,
        "name": "Amazon S3",
        "slug": "amazon-s3",
        "website": "aws.amazon.com"
      }
    ]
  },
  "ok": true
}

Response Fields

FieldTypeDescription
okbooleanWhether the request succeeded
data.domainstringThe domain that was analyzed
data.technologiesobject[]Technologies detected on the website
data.technologies[].namestringDisplay name of the technology
data.technologies[].slugstringURL-safe identifier for the technology
data.technologies[].categorystring | nullTechnology category, when available
data.technologies[].websitestringOfficial website of the technology
Under the Hood

Useful for technographic targeting — filter prospect lists by the tools a company already uses (e.g., everyone running a particular CMS or analytics stack).

On this page